## kalk 25.12.1+p24.04+vunstable+git20260106.1405

=== debian/changelog ===
kalk (25.12.1+p24.04+vunstable+git20260106.1405-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:05:42 +0000

## kalk 25.12.1+p24.04+vunstable+git20260201.0619

=== debian/changelog ===
kalk (25.12.1+p24.04+vunstable+git20260201.0619-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:19:15 +0000

## kalk 25.12.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Cahfofpai
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kalk VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.8.0")
set(QT_MIN_VERSION "6.7.0")

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "This application requires an out of source build. Please
        create a separate build directory.")
endif()

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

# only enable QML debugging on debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KALK
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(PkgConfig REQUIRED)
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2 Widgets)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Kirigami
    I18n
    CoreAddons
    Config
    UnitConversion
)
pkg_search_module(QALCULATE libqalculate>4.7.0 REQUIRED IMPORTED_TARGET)
if (ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
    find_package(OpenSSL REQUIRED)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

ecm_set_disabled_deprecation_versions(QT 6.8
    KF ${KF_MIN_VERSION}
)

add_subdirectory(src)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

ki18n_install(po)

install(PROGRAMS org.kde.kalk.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kalk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kalk.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kalk (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:18:51 +0000

=== debian/control ===
Source: kalk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6unitconversion-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libqalculate-dev (>= 4.7.0~),
               libssl-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.7.0~),
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/kalk/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk

Package: kalk
Architecture: any
Multi-Arch: foreign
Depends: qt6-wayland,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Powerful cross-platform calculator based on the Kirigami framework
 Kalk is a convergent calculator application built with the Kirigami framework.
 Although it is mainly targeted for mobile platforms, it can also be used
 on the desktop.
 .
 Originally starting as a fork of Liri calculator, Kalk has gone through heavy
 development, and no longer shares the same codebase with Liri calculator.

## kalk 25.12.2+p24.04+vunstable+git20260207.0402

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalk (25.12.2+p24.04+vunstable+git20260207.0402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:02:30 +0000

kalk (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:57:41 +0000
